/*CSS Reset Rule*/
*{
  margin: 0;
  padding: 0;
  box-shadow: border-box;
}

/* NAVBAR CSS */
.Navbar-Bg {
  background-color: #41533b;
  padding: 18px;
  position: relative;
}
.Nav-link a{
  color: white;
  font-size: 18px;
  font-weight: 600;
}
.Nav-Logo {
  font-weight: 900;
  font-size: 30px;
  color: white;
}
.Mspan{
  color: #9e9a75;
}
/* NAVBAR CSS */


.product-view{
  height: 100vh;
}



.bg-partners{
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, .7)),
              url("https://vignette2.wikia.nocookie.net/creative-weaponry/images/3/3d/Weap_Wall_Render_01-1-.jpg/revision/latest?cb=20130726143156");
  background-repeat: no-repeat;   
  background-size: cover;
  background-position: center;
  color: white;
  margin-top: 7px;
  background-attachment: fixed;
  margin-top: 50px;
}
.tool-logo{
  padding: 20px;
  height: 250px;
}
.tool-logo:hover{
  transform: translateY(-5px);
  transition: transform 0.2s ease-in-out;
}










/* BANNER CSS */
#banner-image {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, .7)),
                url("https://vignette2.wikia.nocookie.net/creative-weaponry/images/3/3d/Weap_Wall_Render_01-1-.jpg/revision/latest?cb=20130726143156");
    background-repeat: no-repeat;   
    background-size: cover;
    background-position: center;
    padding-top: 200px;
    padding-bottom: 150px;
    color: white;
    margin-top: 7px;
}
.banner-container {
    text-align: center;
    position: relative;
}
.banner-title {
    font-size: 3rem;
    font-weight: bold;
    margin-left: 12rem;
    margin-right: 12rem;
    margin-bottom: 3rem;
}
.banner-subtitle {
    font-size: 1.5rem;
    font-weight: lighter;
    margin-left: auto;
    margin-top: 10px;
    margin-bottom: 2rem;
}

.banner-apply-button {
    margin-top: 10px;
    background-color: #41533b;
    color: white;
    padding: 10px;
    width: 9rem;
    font-size: 1.2rem;;
    border-radius: 25px;
    border: none;
}
.banner-apply-button:hover {
  background-color: #1c222e;
}
/* CSS for Tablet Screens */
@media (max-width: 768px) {
  .banner-container {
    padding: 50px 0;
  }

  .banner-title {
    font-size: 32px;
    margin: 0;
  }

  .banner-subtitle {
    font-size: 20px;
  }

  .banner-apply-button {
    padding: 8px 16px;
    font-size: 16px;
  }
}

/* CSS for Small Mobile Screens */
@media (max-width: 480px) {
  .banner-container {
    padding: 30px 0;
  }

  .banner-title {
    font-size: 24px;
    margin: 0;
  }

  .banner-subtitle {
    font-size: 16px;
  }

  .banner-apply-button {
    padding: 6px 12px;
    font-size: 14px;
  }
}
/* BANNER CSS */


/* UserView.css */
/* Featured Products Css */
.featuredProduct-cardHighlight {
  border-radius: 8px;
  padding: 10px;
  background-color: #f9f9f9;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  min-height: 100%;
  border: 1px solid #ccc;;
  margin-left: 12px;
  margin-right: 12px;
  margin-top: 12px;
}
.featuredProduct-cardHighlight:hover{
  transform: translateY(-5px);
  transition: transform 0.2s ease-in-out;
}
.featuredProduct-title{
  text-align: center;
  font-size: 28px;
  font-weight: bold;
}
.featuredProduct-title a {
  color: #333;
  text-decoration: none;
}
.featuredProduct-btn{
  background-color: #41533b;
  text-align: center;
  color: #fff;
  border: none;
  border-radius: 4px;
  padding: 8px 16px;
  text-decoration: none;
}
.featuredProduct-btn:hover{
 background-color:  #1c222e;
}
.featuredProduct-price {
  text-align: center;
  color: green;
}
.featuredProduct-text{
  font-size: 18px;
  color: #666;
}
.cardHighlight:hover{
  transform: translateY(-5px);
  transition: transform 0.2s ease-in-out;
}
/* Featured Products Css  */
/* UserView.css */



/* LOGIN.css */
.Login-Container{
  max-width: 700px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0px 187px 75px rgba(0, 0, 0, 0.01), 0px 105px 63px rgba(0, 0, 0, 0.05), 0px 47px 47px rgba(0, 0, 0, 0.09), 0px 12px 26px rgba(0, 0, 0, 0.1), 0px 0px 0px rgba(0, 0, 0, 0.1);
  margin-top: 2rem;
}
#Login {
  min-height: 100vh;
}
.login-title{
  font-weight: 700;
  text-align: center;
}
/* LOGIN.css */


/* REGISTER CSS */
.Register-container{
  max-width: 900px;
  margin: 0 auto;
  margin-bottom: 50px;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0px 187px 75px rgba(0, 0, 0, 0.01), 0px 105px 63px rgba(0, 0, 0, 0.05), 0px 47px 47px rgba(0, 0, 0, 0.09), 0px 12px 26px rgba(0, 0, 0, 0.1), 0px 0px 0px rgba(0, 0, 0, 0.1);  margin-top: 2rem;
}

Form label{
  font-weight: bold;
}

#submitBtn {
  width: 100%;
  margin-top: 20px;
}

p a {
  text-decoration: none;
  color: #007bff;
}

p a:hover {
  text-decoration: underline;
}
/* REGISTER CSS */

/*AddProduct CSS*/
.AddProduct{
  max-width: 900px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-top: 100px;
  margin-bottom: 300px;
}
.AddProduct-title{
  text-align: center;
  font-weight: bold;
}
/*AddProduct CSS*/

.All-user{
  min-height: 100vh;
}


/* CSS for CartPage component */
.cart-container {
  margin: 20px;
  min-height: 100vh;
}
.cart-head{
  text-align: center;
  font-weight: bold;
  margin-bottom: 24px;
}
.table {
  width: 100%;
  border-collapse: collapse;
}

.table th,
.table td {
  padding: 20px;
  text-align: center;
}

.table th {
  background-color: #3f3f3f;
  font-weight: bold;
  color: #fea218;
  border: ;
}

.table td {
  border: 1px solid #ccc;
  font-weight: 600;
  color: green;
}

.total-price {
  font-weight: bold;
  text-align: right;

}

.remove-button {
  background-color: #e74c3c;
  color: #fff;
  border: none;
  padding: 8px 12px;
  border-radius: 4px;
  cursor: pointer;
}

.remove-button:hover {
  background-color: #c0392b;
}

.quantity-input {
  width: 60px;
  text-align: center;
}

/* Optional: Center the cart table on the page */
@media (min-width: 768px) {
  .cart-container {
    max-width: 700px;
    margin: 20px auto;
  }
}
/* CSS for CartPage component */



/* ORDER USER VIEW */
.order-card {
  border: 1px solid #ddd;
  border-radius: 10px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}
.order-card:hover {
  transform: translateY(-5px);
  transition: transform 0.2s ease-in-out;
}
.order-card .card-header {
  background-color: #3f3f3f;
  color: #fea218;
  font-weight: bold;
  text-align: center;
  padding: 0.5rem;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.order-card .card-body {
  padding: 1.5rem;
}
.order-card ul {
  list-style: none;
  padding: 0;
}
.order-card ul li {
  padding: 0.5rem 0;
}
.order-card ul li p {
  margin: 0;
}
.order-card p {
  font-size: 15px;
}
.order-card h5 {
  margin-bottom: 0;
}
.order-card h6 {
  margin-bottom: 1rem;
}
.order-value-price{
  color: green;
  font-weight: bold;
}
/* ORDER USER VIEW */



/* ORDER ADMIN VIEW */
.admin-orders-container {
  margin-top: 50px;
}
.admin-orders-heading {
  text-align: center;
}
.admin-orders-card {
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
}
.admin-orders-card:hover{
  transform: translateY(-5px);
  transition: transform 0.2s ease-in-out;
}
.admin-orders-card-header {
  background-color: #3f3f3f;
  color: #fea218;
  padding: 10px;
  border-bottom: 1px solid #ccc;
  text-align: center;
}
.admin-orders-card-header h5 {
  margin: 0;
}
.admin-orders-card-body {
  padding: 15px;
}
.admin-orders-list {
  list-style: none;
  padding: 0;
  margin: 0;
}
.admin-orders-list-item {
  margin-bottom: 10px;
}
.admin-orders-list-item p {
  margin: 0;
}
.admin-orders-list-item p:last-child {
  font-weight: bold;
}
.admin-orders-paragraph {
  margin: 0;
  font-weight: bold;
}
.admin-oder-amount{
  color: green;
  font-weight: bold;
}

@media (max-width: 768px) {
  .admin-orders-card-columns {
    column-count: 1;
  }
}
/* ORDER ADMIN VIEW 


/* PROFILE CSS */
.profile-bg {
  position: relative;
  background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 1)),
                url("https://i.pinimg.com/originals/11/de/48/11de483cc78fb30f82bb94d06f7274ef.png");
  background-repeat: no-repeat;   
  background-size: cover;
  background-position: center;
  padding: 100px;
  color: white;
  margin-top: 7px;
  z-index: -1;
  display: flex; 
  justify-content: center; 
  align-items: center; 
}

.profile-card {
  max-width: 400px;
  margin: 0 auto;
  background-color: #f8f9fa;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.profile-card img {
  height: 300px;
  object-fit: cover;
  border-radius: 10px 10px 0 0;
}

.profile-card .card-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 0;
}

.profile-card .card-text {
  font-size: 16px;
}

.profile-card .list-group-item {
  font-size: 14px;
}

.profile-card .card-link {
  font-size: 14px;
  color: blue;
  text-decoration: none;
}

.profile-card .card-link:hover {
  text-decoration: underline;
}


.profile-reset-password {
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: -80px;
  background-color: white; /* Add a background color to avoid seeing through the overlay */
  padding: 20px; /* Add padding to the section to create some space */
}
.profile-edit-details{
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 50px;
  background-color: white; /* Add a background color to avoid seeing through the overlay */
  padding: 20px; /* Add padding to the section to create some space */
}

footer {
  background-color: #41533b;
  color: white;
  padding: 20px 0;
  text-align: center;
  font-size: 14px;
  position: relative;
  bottom: 0;
  width: 100%;
}
footer a {
  color: #9e9a75;
  text-decoration: none;
  margin: 0 10px;
}